# Pika Backup

Doing backups the easy way. Plugin your USB drive and let the Pika do the rest for you.

[<img width='240' alt='Download on Flathub' src='https://flathub.org/assets/badges/flathub-badge-en.png' />](https://flathub.org/apps/details/org.gnome.World.PikaBackup)

[<img width='240' alt='More on Apps for GNOME' src='https://gitlab.gnome.org/World/pika-backup/uploads/2406312cda45cf979df75f1e15263c54/button.png' />](https://apps.gnome.org/PikaBackup/)

[<img width='240' alt='Part of GNOME Circle' src='https://gitlab.gnome.org/Teams/Circle/-/raw/91de93edbb3e75eb0882d56bd466e58b525135d5/assets/button/circle-button-fullcolor.svg' />](https://circle.gnome.org/)

[<img alt='Donate on Open Collective' src='https://opencollective.com/pika-backup/donate/button.png?color=blue' />](https://opencollective.com/pika-backup)

### Features

<ul>
      <li>Create backups locally and remotely</li>
      <li>Set a schedule for regular backups</li>
      <li>Save time and disk space because Pika Backup does not need to copy known data again</li>
      <li>Encrypt your backups</li>
      <li>List created archives and browse through their contents</li>
      <li>Recover files or folders via your file browser</li>
</ul>

Pika Backup is designed to save your personal data and does not support complete system recovery. Pika Backup is powered by the well-tested [BorgBackup](https://www.borgbackup.org/support/fund.html) software. For more information and support see the [help pages](https://world.pages.gitlab.gnome.org/pika-backup/help/C/)

![Pika Backup Screenshot](https://gitlab.gnome.org/World/pika-backup/uploads/9fa4c818e0f8fda6983ca671f363698a/screenshot-1.png)

### Hosting Providers

You can rent backup space for safely storing your data at a different location. This section is listing providers that have specific support for the BorgBackup technology that Pika Backup uses.

#### BorgBase
[BorgBase](https://www.borgbase.com/?utm_source=pika) generously supports the development of Pika Backup. Their service is specialized for the use with BorgBackup and offers security features like append-only repositories and two-factor authentication. You can get 10 GB storage for free on [borgbase.com](https://www.borgbase.com/?utm_source=pika).

#### Other Providers

Currently, [rsync.net](https://www.rsync.net/products/borg.html) and [Hetzner](https://www.hetzner.com/storage/storage-box) are offering storage with BorgBackup support as well.

### The Name

The name “Pika Backup” derives from the American pika. Pikas are small mammals belonging to the lagomorphs. The American pika is known for caching food in skillfully constructed haypiles. Techniques used by American pikas for building haypiles include: storing piles below overhanging rocks, using certain plants which inhibit bacterial growth as preservative and preferring plants with high nutrition value for haying. Last but not least, pikas do not only create very sophisticated haypiles but are quick in collecting vegetation as well.

Frequent rumors that this software's name is related to a monster with electrical abilities are unfounded.

### Alternative Software

- [Vorta](https://flathub.org/apps/details/com.borgbase.Vorta), BorgBackup as backend, Qt frontend for advanced users
- [Déjà Dup Backups](https://flathub.org/apps/details/org.gnome.DejaDup), duplicity (librsync) or restic as backend, GTK frontend

